// Test a corner case in template method processing found
// during r34 development.

template<class T>
class Test {
public:
   Test(long cmax);
   Test(long cmax, long nbins, long (* fcn)(T*), int (* cmp)(T*, T*));
   Test();
   ~Test();
   std::vector<Test1<T>*>* topo_sort();
};

template<class T>
Test<T>::Test(long cmax) :
    max_cost(cmax)
{
}
template<class T>
Test<T>::Test(long cmax, long nbins, long (* fcn)(T*), int (* cmp)(T*, T*)) :
    max_cost(cmax)
{
}
template<class T>
std::vector<Test1<T>*>*
Test<T>::topo_sort ( )
{
   return 0;
}


